package org.springblade.thirdparty.track.service;

import java.util.List;

/**
 *  轨迹 接口
 * @author bfhuange
 * @since 2024/12/16
 */
public interface ITrackService {

    /**
     *  发送运单
     * @param ids
     */
    void sendWaybills(List<Long> ids);

    /**
     *  获取轨迹url
     * @param id 轨迹id
     * @return
     */
    String getTrackUrl(String id);

    /**
     *  获取轨迹url前缀，后面拼接id就是正常url
     * @return
     */
    String getTrackUrlPrefix();
}
